{
  pkgs,
  inputs,
  config,
  ...
}: {
  imports = with inputs; [
    stylix.nixosModules.stylix
  ];
  environment.systemPackages = with pkgs; [
    nerd-fonts.iosevka
  ];
  stylix = {
    enable = true;
    base16Scheme = "${pkgs.base16-schemes}/share/themes/nord.yaml";
    polarity = "dark";
    cursor = {
      package = pkgs.nordzy-cursor-theme;
      name = "Nordzy-cursors";
      size = 32;
    };
    image = builtins.fetchurl {
      url = "https://w.wallhaven.cc/full/l8/wallhaven-l8l9gq.png";
      name = "wallhaven-l8l9gq.png";
      sha256 = "0ypr44sg0fn55m1b52dgr1nnscpi2p6rfkjsm7vvrdqw7bafbx2z";
    };
    opacity.terminal = 0.9;
    fonts = {
      sizes = {
        applications = 13;
        desktop = 14;
        popups = 13;
        terminal = 15;
      };
      serif = {
        package = pkgs.nerd-fonts.iosevka;
        name = "Iosevka Nerd Font Propo";
      };
      sansSerif = config.stylix.fonts.serif;
      monospace = {
        package = pkgs.nerd-fonts.iosevka-term;
        name = "IosevkaTerm Nerd Font Mono";
      };
      emoji = {
        package = pkgs.noto-fonts-emoji;
        name = "Noto Color Emoji";
      };
    };
  };
}
