{
  config,
  inputs,
  ...
}: {
  imports = with inputs; [
    lix.nixosModules.default
  ];
  nix = {
    channel.enable = false;
    daemonCPUSchedPolicy = "idle";
    settings = {
      experimental-features = ["nix-command" "flakes"];
      builders-use-substitutes = true;
    };
    distributedBuilds = true;
    buildMachines = [
      {
        hostName = "dunamis";
        sshUser = "nix-ssh";
        system = "x86_64-linux";
        sshKey = config.sops.secrets."ssh-sarien-user".path;
        supportedFeatures = ["nixos-test" "big-parallel" "kvm" "benchmark"];
        publicHostKey = builtins.readFile "${inputs.mysecrets}/ssh/ssh_host_ed25519_dunamis.base64";
      }
    ];
  };
}
