{
  lib,
  config,
  ...
}:
with lib; let
  cfg = config.wireless.bluetooth;
in {
  options = {
    wireless.bluetooth = {
      enable = mkEnableOption "enable bluetooth";
      enableBlueman = mkEnableOption "enable bluetooth manager";
    };
  };
  config = mkIf cfg.enable {
    hardware.bluetooth.enable = true;
    hardware.bluetooth.powerOnBoot = true;
    services.blueman.enable = cfg.enableBlueman;
  };
}
